using Sepehr.ApiGateway.Partners.Contracts.Tour.Availability.V6.GetHotelPackageList.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Tour.Availability.V6.GetHotelPackageList.ResponseModel;
using SepehrTourApiSampleClient.BuiltinTypeExtensions;

namespace SepehrTourApiSampleClient.Availability.GetHotelPackageList.WebApi
{
    public class GetHotelPackageListApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Tour/Availability/V6/GetHotelPackageList",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
